unit UConfig;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ComCtrls, ExtCtrls;

type
  TFrmConfig = class(TForm)
    BtOk: TBitBtn;
    BtCancel: TBitBtn;
    ColorDialog1: TColorDialog;
    GBEnvironnement: TGroupBox;
    LBSplashDur: TLabel;
    LbShowTipsOnStartup: TCheckBox;
    LbSavePosWin: TCheckBox;
    EdTimeSplash: TEdit;
    UpDown1: TUpDown;
    CBReopenLastFile: TCheckBox;
    CbQuitConfirm: TCheckBox;
    GBPreference: TGroupBox;
    CbCandidatsOnOff: TCheckBox;
    CbProtectionOnOFF: TCheckBox;
    GBCouleur: TGroupBox;
    ShapeChiffre: TShape;
    ShapeDevoile: TShape;
    ShapeCandidat: TShape;
    LbChiffre: TLabel;
    LbDevoile: TLabel;
    LbCandidat: TLabel;
    LbJouable: TLabel;
    LbReference: TLabel;
    ShapeJouable: TShape;
    ShapeReference: TShape;
    procedure FormShow(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ShapeChiffreMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FrmConfig: TFrmConfig;
implementation

uses UDmFonction;

{$R *.dfm}

procedure TFrmConfig.FormShow(Sender: TObject);
begin
  DMFonction.RestoreWinPos(self, False);
end;

procedure TFrmConfig.FormDestroy(Sender: TObject);
begin
  DMFonction.SaveWinPos(self, False);
end;

procedure TFrmConfig.ShapeChiffreMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
 ColorDialog1.Color := (Sender as Tshape).Brush.Color;
 If ColorDialog1.Execute then
  (Sender as Tshape).Brush.Color := ColorDialog1.Color;
end;

end.
